package com.tofly.analyse.service.impl;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.analyse.entity.DataSet;
import com.tofly.analyse.entity.MetaData;
import com.tofly.analyse.mapper.MetaDataMapper;
import com.tofly.analyse.service.MetaDataService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @author zhoux
 */
@AllArgsConstructor
@Service("metaDataService")
public class MetaDataServiceImpl extends ServiceImpl<MetaDataMapper, MetaData> implements MetaDataService {@Override
	
	
	
	public Page<Map> getDataSetPage(Page page, DataSet dataSet) {
		return page.setRecords(baseMapper.getDataSetPage(page, dataSet));
	}

	@Override
	public Page<Map> getMetaDataPage(Page page, MetaData metaData) {
		return page.setRecords(baseMapper.getMetaDataPage(page, metaData));
	}

	@Override
	public void updateDataSet(DataSet dataSet) {
		baseMapper.updateDataSet(dataSet);
		
	}

	@Override
	public void updateMetaData(MetaData metaData) {
		baseMapper.updateMetaData(metaData);		
	}
	


	

}